#!/bin/bash

source /cvmfs/oasis.opensciencegrid.org/ligo/sw/conda/etc/profile.d/conda.sh
conda activate igwn-py37

exe=plot_skymaps

for event in "GW200105" "GW200115"
do
    base_dir=${event:2:${#event}}"/"
    b_map=${base_dir}"/bayestar.fits.gz"
    pe_map=${base_dir}"/${event}_combined_highspin_skymap.fits.gz"
    output=${base_dir}${event}"_skymap"

    echo running command \"./${exe} --bayestar-skymap ${b_map} --pe-skymap ${pe_map} --output-prefix ${output} --plot-title ${event}\"
    python ${exe} --bayestar-skymap ${b_map} --pe-skymap ${pe_map} --output-prefix ${output} --plot-title ${event}
done
